Xerces-J API: Class GrammarResolverImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.common
Class GrammarResolverImpl

    java.lang.Object
      |
      +--org.apache.xerces.validators.common.GrammarResolverImpl

public class GrammarResolverImpl
extends java.lang.Object
implements GrammarResolver

This class embodies the representation of a Schema Grammar pool. This class is called from the validator. Grammar pool maps to a set of Grammar Proxy classes.

Version:
  $Id: GrammarResolverImpl.java,v 1.4 2000/12/01 02:52:08 jeffreyr Exp $
Author:
  Jeffrey Rodriguez

Constructor Summary
`GrammarResolverImpl()` Default constructor.

Method Summary
`void` | `clearGrammarResolver()` Reset internal Namespace/Grammar registry.
`boolean` | `contains(Grammar grammar)` Is Grammar abstraction in Grammar pool?
`boolean` | `containsNameSpace(java.lang.String nameSpaceKey)` Is Namespace key in Grammar pool
`DatatypeValidatorFactory` | `getDatatypeRegistry()`
`Grammar` | `getGrammar(java.lang.String nameSpaceKey)`
`java.lang.String[]` | `getNSKeysInPool()`
`java.util.Enumeration` | `nameSpaceKeys()`
`void` | `putGrammar(java.lang.String nameSpaceKey, Grammar grammar)`
`Grammar` | `removeGrammar(java.lang.String nameSpaceKey)` Removes association of Namespace key and Grammar from Grammar pool
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrammarResolverImpl

    public GrammarResolverImpl()

  Default constructor.

Method Detail

### getGrammar

    public Grammar getGrammar(java.lang.String nameSpaceKey)

  Specified by:
    getGrammar in interface GrammarResolver
  Parameters:
    `nameSpaceKey` - Namespace key into Grammar pool
  Returns:
    Grammar abstraction associated with NameSpace key.

### getDatatypeRegistry

    public DatatypeValidatorFactory getDatatypeRegistry()

  Specified by:
    getDatatypeRegistry in interface GrammarResolver

### getNSKeysInPool

    public java.lang.String[] getNSKeysInPool()

  Returns:
    Array of String key name spaces in Grammar pool

### putGrammar

    public void putGrammar(java.lang.String nameSpaceKey,
                           Grammar grammar)

  Specified by:
    putGrammar in interface GrammarResolver
  Parameters:
    `nameSpaceKey` - Key to associate with Grammar abstraction
    `grammar` - Grammar abstraction used by validator.

### size

    public int size()

  Specified by:
    size in interface GrammarResolver
  Returns:
    Length of grammar pool. Number of associations.

### nameSpaceKeys

    public java.util.Enumeration nameSpaceKeys()

  Specified by:
    nameSpaceKeys in interface GrammarResolver
  Returns:
    Enumeration of String key name spaces in Grammar pool

### removeGrammar

    public Grammar removeGrammar(java.lang.String nameSpaceKey)

  Removes association of Namespace key and Grammar from Grammar pool
  Specified by:
    removeGrammar in interface GrammarResolver
  Parameters:
    `nameSpaceKey` - Name space key

### contains

    public boolean contains(Grammar grammar)

  Is Grammar abstraction in Grammar pool?
  Specified by:
    contains in interface GrammarResolver
  Parameters:
    `grammar` - Grammar Abstraction
  Returns:
    true - Yes there is at least one instance false - No

### containsNameSpace

    public boolean containsNameSpace(java.lang.String nameSpaceKey)

  Is Namespace key in Grammar pool
  Specified by:
    containsNameSpace in interface GrammarResolver
  Parameters:
    `nameSpaceKey` - Namespace key
  Returns:
    Boolean- true - Namespace key association is in grammar pool.

### clearGrammarResolver

    public void clearGrammarResolver()

  Reset internal Namespace/Grammar registry.
  Specified by:
    clearGrammarResolver in interface GrammarResolver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.